Möglich? Update auf VM 3.4 + Security Update Joomla 3.9.4

  • Hallo zusammen,

    ich stehe vor der Herausforderung einen veralteten Kundenshop VM 3.0 + Joomla 3.6.5 auf VM 3.4 sowie die neue sichere und datenschutz-optimierte Joomla-Version 3.9.4 zu bringen. Hat hier jemand Erfahrung, ob VM auch mit Joomla 3.9 läuft. Laut Webseite nur bis 3.8. Stimmt das?


    Bisherige Versuche auf der Testversion waren unsauber und ich frage mich, ob das an der Kompatibilität, Fehlern meinerseits oder an den dem "großen Sprung" und diversen Änderungen liegt, die eine manuell Korrektur verlangen.


    Dank und Gruß

    Günter

  • Guten Morgen Günter,


    VirtueMart läuft natürlich auch mit Joomla 3.9.4, möglicherweise ist die Information, die Du gelesen hast, nicht überarbeitet worden. Normalerweise gibt es keine "großen" Probleme, einen VM 3.0 auf die aktuelle Version 3.4.2 zu aktualisieren.

    In jedem Fall würde ich das aber in einer Testumgebung mit einem gespiegelten Live-Shop durchtesten, wie Du bereits gesagt hast.


    Oft liegen die Fehler an ebenfalls nicht aktualisierten Plugins und vor allem dem Template.


    Über die Jahre hat sich eine relative zuverlässige Reihenfolge ergeben, erst alle Erweiterungen aktualisieren, das Template aktualisieren, VirtueMart aktualisieren, danach Joomla aktualisieren.

    Es gibt definitiv eine Menge mehr Funktionen im aktuellen VirtueMart als noch zu Zeiten von Joomal 3.6.5 bzw. VM 3.0.x, deshalb können dann noch kleinere Korrekturen anstehen. Aus meiner Erfahrung heraus, sind das bei guten Templates und Erweiterungen vielleicht ein bis maximal zwei Stunden Arbeit, bei weniger gepflegten oder selbstgebauten Templates kann es auch schon einmal etwas länger dauern, aber kaum mehr als 4 bis 6 Stunden.


    Grüße

    Stefan

  • Hallo Stefan, vielen Dank für die schnelle Antwort. Das bin aus anderen CMS-Foren nicht gewöhnt. Genau das wollte ich hören ;-) You made my day! Gruß Günter